function [ys,check] = GLSW_ss_steadystate(ys)

global M_

beta = M_.params(1);
rho = M_.params(2);
sigmae = M_.params(3);
phi=M_.params(4);
nbar=M_.params(5);
delta = M_.params(6);


Y = (phi*n1^(1-rho) + (1-phi)*nbar^(1-rho))^(1/(1-rho));
c1_1=c1_1/c1_2*n1;
c2_1 = c1_1/c1_2*c2_2;
c2_2 = ((1 - phi)*nbar - phi*c2_1)/(1-phi);
c1_2 = (phi*n1 - phi*c1_1)/(1 - phi);
a1 = P*c1_1+c2_1+a1/(1+r)-W1*n1-exp(T);
W2 = (P*c1_2+c2_2+a2/(1+r) - a2)/nbar;
W1=P;
a2 = phi*a1/(1-phi);
P =((c1_1/phi)/(c2_1/(1-phi)))^(-rho);
n1 =delta*nbar;
C1=(c1_1/c1_2)/phi*Y;
C2=(1-(c1_1/c1_2))/(1-phi)*Y;
C=phi*C1+(1-phi)*C2;
r = (1/beta*(C)^(rho-sigmae)*(1-phi)^rho*(c2_1)^(-rho)/(C)^(rho-sigmae)*(1-phi)^rho*(c2_1)^(-rho))-1;

check = 0;

ys = [log(Y);
log(c1_1);
log(c1_2);
log(c2_1);
log(c2_2);
log(C1);
log(C2);
log(C);
log(a1);
log(a2);
log(P);
log(W);
log(W2);
log(n1);
r];